[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.InsertObject

InsertObject - inserts a new node with specified text and data just before the specified Next node, and returns the new node

## Declaration

Source position: comctrls.pp line 2304

`public function TTreeNodes.InsertObject(`
`NextNode: TTreeNode;`
`const S: String;`
`Data: Pointer`
`):TTreeNode;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.